Librerías Java con requerimientos de Java 11 o superior


Las versiones de Java recomendadas para uso productivo son las denominadas LTS ( Long Term Support) . Hoy, las que tienen esta característica son JDK 8, 11 y se ha agregado JDK 17.

No obstante, el ecosistema es diverso, y afecta la selección de la versión del JDK a utilizar. En particular, cuando dependemos de librerías que han decidido aprovechar nuevas características, se generan inventivos para avanzar en nuestro JDK mínimo.

Y pese a que Java 8 se mantiene como la versión de mayor penetración, ya existen librerías que han subido sus requerimientos mínimos a Java 11 e incluso Java 17.

Aquí un breve listado de librerías populares , y si conoces alguna otra, coméntanos!


Java 11Java 17
JOOQ Open Source Edition
JakartaEE 10 
Lucene 9
Quarkus
Caffeine
Jetty 10 and 11
Hibernate 6
Apache Camel 3.15
Willfly 15
Vaadin 23
Helidon 2
Apache Wicket
Spring Framework 6 ( Q4 2022 )  – JDK 17
Spring Boot 3 ( Q4 2022 ) – JDK 17
Lucene 10 – JDK 17
Jenetics – JDK 17
Helidon 3 – JDK 17
Froporec – JDK 17


Deja una respuesta